---
title: LocalFileSystemSync.requestFileSystemSync()
slug: Web/API/LocalFileSystemSync/requestFileSystemSync
---
<p>{{APIRef("File System API")}}{{SeeCompatTable}}{{deprecated_header}}{{Draft}}</p>

<p>The <strong><code>requestFileSystemSync</code></strong> method of the <code>LocalFileSystemSync</code> interface of the <a href="/en/DOM/File_API/File_System_API" title="en/DOM/File_API/File_System_APIB">File System API</a> creates a new a sandboxed file system. It is intended to be used with <a href="/en/DOM/Worker" title="en/DOM/Worker"> WebWorkers</a>. The methods are implemented by <a href="/en/DOM/Worker" title="En/DOM/Worker">worker</a> objects.</p>

<div class="notecard warning">
<p><strong>Warning:</strong></p>

<p>This document was last updated on March 2, 2012 and follows the <a class="external" href="http://www.w3.org/TR/file-system-api/">W3C Specifications (Working Draft)</a> drafted on April 19, 2011.</p>

<p>This specification is more or less abandonned, failing to get significant traction.</p>
</div>

<h2 id="requestFileSystem">Syntax</h2>

<pre><em>LocalFileSystemSync</em>.requestFileSystemSync(
  unsigned short type,
  unsigned long long size
);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>type</code></dt>
 <dd>The storage type of the file system. The values can be either <code>TEMPORARY</code> or <code>PERSISTENT</code>.</dd>
 <dt><code>size</code></dt>
 <dd>The storage space — in bytes — that you need for your app.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<dl>
 <dt>{{domxref("FileSystemSync")}}</dt>
 <dd>An object that represents the file system.</dd>
</dl>

<h2 id="Exceptions">Exceptions</h2>

<p>This method can raise an <a href="/en/DOM/File_API/File_System_API/FileException" title="en/DOM/File_API/File_System_API/FileException">FileException</a> with the following code:</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Exception</th>
   <th scope="col">Description</th>
  </tr>
  <tr>
   <td><code>SECURITY_ERROR</code></td>
   <td>The application does not have permission to access the file system interface. For example, you cannot run from <code>file://</code>. For more details, see the <a href="/en/DOM/File_APIs/Filesystem/Basic_Concepts_About_the_Filesystem_API#You_cannot_run_your_app_from_file:.2F.2F">article on basic concepts</a>.</td>
  </tr>
 </thead>
</table>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">//Taking care of the browser-specific prefix
window.requestFileSystemSync  = window.requestFileSystemSync || window.webkitRequestFileSystemSync;

// The first parameter defines the type of storage: persistent or temporary
// Next, set the size of space needed (in bytes)
// initFs is the success callback
// And the last one is the error callback
// for denial of access and other errors.

var fs = requestFileSystemSync(TEMPORARY, 1024*1024 /*1MB*/);</pre>

<p>Since this interface is synchronous, it doesn't need success and error callbacks.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><a href="http://dev.w3.org/2009/dap/file-system/pub/FileSystem/">File API: Directories and System Specification</a></td>
   <td>Working Draft</td>
   <td>Initial specification, abandoned.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser compatibility</h2>

<p>{{Compat("api.LocalFileSystemSync.requestFileSystemSync")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("LocalFileSystem.requestFileSystem")}}, asyncronous equivalent of this interface</li>
 <li><a href="/en/DOM/File_API/File_System_API" title="en/DOM/File_API/File_System_API">File System API</a></li>
 <li><a href="/en/DOM/File_APIs/Filesystem/Basic_Concepts_About_the_Filesystem_API" title="en/DOM/File_APIs/Filesystem/Basic_Concepts_About_the_Filesystem_API">Basic Concepts About the File System API</a></li>
</ul>
